package higa.jhcl.model;

import java.util.EventListener;

public class SingletonModelEvent extends ModelEvent {

  public SingletonModelEvent(SingletonModel model, int change) {
    super(model, change);
  }

  public void dispatch(EventListener listener) {
    SingletonModelListener myListener =
      (SingletonModelListener)listener;

    switch (getID()) {
      case CONTENT_CHANGED:
        myListener.modelContentChanged(this);
        break;
      default:
        throw new IllegalStateException(
          "ID:" + getID());
    }
  }
}