package higa.jhcl.model;

public interface VectorModel {

  public boolean canSet(int index);

  public void set(int index, Object item);

  public void addItem(Object item);

  public void addItem(int index, Object item);

  public void remove(int index);

  public void removeAll();

  public void setEventEnabled(boolean enabled);

  public Object get(int index);

  public int getCount();

  public int find(Object data);

  public void addModelListener(VectorModelListener listener);

  public void removeModelListener(VectorModelListener listener);
}