package higa.jhcl.model;

public class MatrixLocation {

  public int rowIndex;
  public int columnIndex;

  public MatrixLocation() {
    this(0, 0);
  }

  public MatrixLocation(MatrixLocation location) {
    this.rowIndex    = location.rowIndex;
    this.columnIndex = location.columnIndex;
  }

  public MatrixLocation(int rowIndex, int columnIndex) {
    this.rowIndex    = rowIndex;
    this.columnIndex = columnIndex;
  }

  public String toString() {
    String cn = getClass().getName();
    return cn.substring(cn.lastIndexOf('.')+1) +
      "[rowIndex = " + rowIndex +
      ",columnIndex = " + columnIndex + "]";
  }

  public boolean equals(Object that) {
    return that instanceof MatrixLocation
      && rowIndex == ((MatrixLocation)that).rowIndex
      && columnIndex == ((MatrixLocation)that).columnIndex;
  }

  public int hashCode() {
    return (rowIndex<<16) + columnIndex;
  }
}